import { __decorate } from 'tslib';
import { Component, ɵɵdefineInjectable, Injectable, NgModule } from '@angular/core';

var CounterComponent = /** @class */ (function () {
    function CounterComponent() {
        this.counter = 0;
    }
    CounterComponent.prototype.ngOnInit = function () {
    };
    CounterComponent.prototype.counterPlus = function () {
        this.counter++;
    };
    CounterComponent.prototype.counterMinus = function () {
        this.counter--;
    };
    CounterComponent = __decorate([
        Component({
            selector: 'lib-counter',
            template: "<p>counter works!</p>\n<button (click)=\"counterPlus()\"> +</button>\n<button (click)=\"counterMinus()\"> -</button>\n{{counter}}",
            styles: [""]
        })
    ], CounterComponent);
    return CounterComponent;
}());

var DemoLibService = /** @class */ (function () {
    function DemoLibService() {
    }
    DemoLibService.ɵprov = ɵɵdefineInjectable({ factory: function DemoLibService_Factory() { return new DemoLibService(); }, token: DemoLibService, providedIn: "root" });
    DemoLibService = __decorate([
        Injectable({
            providedIn: 'root'
        })
    ], DemoLibService);
    return DemoLibService;
}());

var DemoLibComponent = /** @class */ (function () {
    function DemoLibComponent() {
    }
    DemoLibComponent.prototype.ngOnInit = function () {
    };
    DemoLibComponent = __decorate([
        Component({
            selector: 'lib-demo-lib',
            template: "\n    <p>\n      demo-lib works!\n    </p>\n  "
        })
    ], DemoLibComponent);
    return DemoLibComponent;
}());

var DemoLibModule = /** @class */ (function () {
    function DemoLibModule() {
    }
    DemoLibModule = __decorate([
        NgModule({
            declarations: [DemoLibComponent, CounterComponent],
            imports: [],
            exports: [DemoLibComponent, CounterComponent]
        })
    ], DemoLibModule);
    return DemoLibModule;
}());

/*
 * Public API Surface of demo-lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { CounterComponent, DemoLibComponent, DemoLibModule, DemoLibService };
//# sourceMappingURL=hari.maurya-demo-lib.js.map
